project/contacts/forms.py
from flask_wtf import FlaskForm
from flask_login import current_user
from wtforms import StringField, RadioField, SubmitField
from project.models import Contact
from wtforms.validators import DataRequired, Length, ValidationError
from flask import request

class ContactForm(FlaskForm):
    contact_name = StringField("Contact Name", validators=[DataRequired()])
    contact_no = StringField("Enter Mobile No", validators=[DataRequired(), Length(min=10, max=10)])
    gender = RadioField('Gender', choices=[('male','Male'),('female','Female')], validators=[DataRequired()])
    add_contact = SubmitField("Add Contact")
    delete_contact = SubmitField("Delete Contact")

    def validate_contact_no(self, contact_no):

        print(request.form.get)
        if request.form.get('add_contact'):
            number = Contact.query.filter_by(contact_no=contact_no.data, owner_id=current_user.id).first()
            if number:
                raise ValidationError("Mobile number already added to contacts list")

project/messages/forms.py
from flask_wtf import FlaskForm
from wtforms import StringField, TextAreaField, SubmitField
from wtforms.validators import DataRequired, Length, ValidationError
from flask import request
from project. models import Contact
from sqlalchemy import and_
from flask_login import current_user


class MessageForm(FlaskForm):
    recipient_no = StringField("Receiver's Phone Number", validators=[DataRequired(), Length(min=10, max=10)])
    message = TextAreaField('Content', validators=[DataRequired(), Length(max=150)])
    send = SubmitField('Send')

    def validate_recipient_no(self, recipient_no):
        recipient = Contact.query.filter(and_(Contact.owner == current_user, Contact.contact_no == recipient_no.data)).first()
        # print ("#"*20,recipient,"#"*20)
        if recipient is None:
            raise ValidationError("Add the recipient to contacts to send messages for security reasons")

project/contacts/routes.py
from project import db
from flask import render_template, url_for, redirect, flash, get_flashed_messages
from flask_login import current_user, login_required
from project.contacts.forms import ContactForm
from project.models import Contact
from sqlalchemy import and_

from flask import Blueprint

contacts = Blueprint("contacts", __name__)


@contacts.route('/contact', methods=["GET", "POST"])
@login_required
def contact():
    contacts = Contact.query.filter_by(owner_id=current_user.id).all()
    form = ContactForm()
    if form.validate_on_submit():
        contact = Contact(contact_name=form.contact_name.data, contact_no=form.contact_no.data, owner=current_user, gender=form.gender.data)
        db.session.add(contact)
        db.session.commit()
        flash("contact added", "success")
        return redirect(url_for('contacts.contact'))
    return render_template("contact.html", form=form, contacts=contacts, title='add_contact')

@contacts.route('/delete_contact', methods=["GET", "POST"])
@login_required
def delete_contact():
    contacts = Contact.query.filter_by(owner_id=current_user.id).all()
    form = ContactForm()
    if form.validate_on_submit():
        print("Entered delete")
        contact = Contact.query.filter(and_(Contact.contact_no==form.contact_no.data, Contact.owner==current_user)).first()
        print(contact)
        if contact is not None:
            db.session.delete(contact)
            db.session.commit()
            flash("contact deleted", "danger")
        else:
            flash("contact is not available", "info")
        return redirect(url_for("contacts.contact"))
    return render_template("contact.html", form=form, contacts=contacts, title='add_contact')

@contacts.route('/delete_selected/<string:contact_no>', methods=["GET", "POST"])
@login_required
def delete_selected(contact_no):
    contacts = Contact.query.filter_by(owner_id=current_user.id).all()
    contact = Contact.query.filter(and_(Contact.owner==current_user, Contact.contact_no==contact_no)).first()
    form = ContactForm()
    form.contact_no.data = contact_no
    form.contact_name.data = contact.contact_name
    form.gender.data = contact.gender
    return render_template("contact.html", title="delete_contact", form=form, contacts=contacts)

project/messages/routes.py
from project import db
from flask import render_template,url_for, redirect, flash, get_flashed_messages, request, current_app
from flask_login import current_user, login_required
from project.messages.forms import MessageForm
from project.models import Contact, Message
from sqlalchemy import and_
from project import moment
from project.messages.message import send_message
from flask import Blueprint

messages = Blueprint("messages", __name__)


@messages.route('/message', methods=["GET", "POST"])
@login_required
def message():
    contacts = Contact.query.filter_by(owner_id=current_user.id).all()
    form = MessageForm()
    if form.validate_on_submit():
        response = send_message(form.recipient_no.data, form.message.data)
        if response.status_code == 200:
            recipient = Contact.query.filter(and_(Contact.contact_no==form.recipient_no.data, Contact.owner==current_user)).first()
            message = Message(message_body=form.message.data, sender=current_user, recipient=recipient)
            db.session.add(message)
            db.session.commit()
            flash("message sent", "success")
            return redirect(url_for("messages.message", form=form, contacts=contacts))
    return render_template("message.html", form=form, contacts=contacts, title="message")

@messages.route('/message_to/<string:contact_no>', methods=["GET", "POST"])
@login_required
def message_to(contact_no):
    contacts = Contact.query.filter_by(owner_id=current_user.id).all()
    form = MessageForm()
    form.recipient_no.data = contact_no
    return render_template("message.html", form=form, contacts=contacts, title="message")

@messages.route('/sent_messages/<string:recipient_no>', methods=["GET", "POST"])
@login_required
def sent_messages(recipient_no):
    contacts = Contact.query.filter_by(owner_id=current_user.id).all()
    page = request.args.get('page', 1, type=int)
    if recipient_no=="all":
        sent_messages_list = Message.query.filter_by(sender=current_user).order_by(Message.timestamp.desc()).paginate(page=page, per_page=current_app.config['MESSAGES_PER_PAGE'])

        next_url = url_for("messages.sent_messages", recipient_no="all", page=sent_messages_list.next_num) if sent_messages_list.has_next else None

        prev_url = url_for("messages.sent_messages", recipient_no="all", page=sent_messages_list.prev_num) if sent_messages_list.has_prev else None

    else:
        recipient = Contact.query.filter_by(contact_no=recipient_no).first()
        sent_messages_list = Message.query.filter(and_(Message.sender==current_user, Message.recipient==recipient)).order_by(Message.timestamp.desc()).paginate(page=page, per_page=current_app.config['MESSAGES_PER_PAGE'])

        next_url = url_for("messages.sent_messages", recipient_no=recipient_no, page=sent_messages_list.next_num) if sent_messages_list.has_next else None

        prev_url = url_for("messages.sent_messages", recipient_no=recipient_no, page=sent_messages_list.prev_num) if sent_messages_list.has_prev else None

    return render_template("sent.html", title="sent_messages", sent_messages=sent_messages_list.items, contacts=contacts, next_url=next_url, prev_url=prev_url)

project/users/routes.py
from project import db, encrypt
from flask import render_template, url_for, redirect, flash, get_flashed_messages
from flask_login import login_user, current_user, logout_user, login_required
from project.users.forms import LoginForm, SignUpForm, RequestResetForm, ResetPasswordForm
from project.models import User
from project.users.utils import send_reset_link

from flask import Blueprint

users = Blueprint("users", __name__)

@users.route('/signup', methods=["POST", "GET"])
def signup():
    form = SignUpForm()
    if form.validate_on_submit():
        password_hash = encrypt.generate_password_hash(form.password.data).decode('utf-8')
        user = User(username=form.username.data, email_id=form.email_id.data, mobile_no=form.mobile_no.data, password=password_hash, gender=form.gender.data)
        db.session.add(user)
        db.session.commit()
        flash("Registration Successfull", "success")
        return redirect(url_for('users.login', title="Login"))
    return render_template("signup.html", title="Sign Up", form=form)


@users.route('/', methods=["POST", "GET"])
@users.route('/index', methods=["POST", "GET"])
def login():
    if current_user.is_authenticated:
        return redirect(url_for('messages.message'))
    form = LoginForm()
    if form.validate_on_submit():
        user = User.query.filter_by(mobile_no=form.mobile_no.data).first()
        if user:
            if encrypt.check_password_hash(user.password, form.password.data):
                login_user(user)
                return redirect(url_for('messages.message'))
            else:
                flash("invalid password or username", "danger")
        else:
            flash("You are not a registered user! Register to login", "danger")
            return redirect(url_for('users.signup'))
    return render_template("login.html", form=form)



@users.route('/forgot_password', methods=["POST", "GET"])
def forgot_password():
    form = RequestResetForm()
    if form.validate_on_submit():
        user = User.query.filter_by(mobile_no=form.mobile_no.data).first()
        send_reset_link(user)
        flash('A reset link has been sent with instructions to reset your registered mobile number.', 'success')
        return redirect(url_for('users.login'))
    return render_template('forgot_password.html', title='Reset Password', form=form)

@users.route("/forgot_password/<token>", methods=['GET', 'POST'])
def reset_token(token):
    user = User.verify_reset_token(token)
    if user is None:
        flash('That is an invalid or expired token', 'warning')
        return redirect(url_for('users.forgot_password'))
    form = ResetPasswordForm()
    if form.validate_on_submit():
        hashed_password = encrypt.generate_password_hash(form.password.data).decode('utf-8')
        user.password = hashed_password
        db.session.commit()
        flash('Your password has been updated! You are now able to log in', 'success')
        return redirect(url_for('users.login'))
    return render_template('reset_token.html', title='Reset Password', form=form)

@users.route("/logout")
@login_required
def logout():
    logout_user()
    return redirect(url_for('users.login'))

project/templates/account.html
{%extends "base.html"%}
{%block content%}
    <section class="row-container-160by2 account-body">
        <aside class="account-aside">
                <div class="aside-item">
                    <a class="styled-button" href="{{url_for('messages.message')}}">
                        Message
                    </a>
                </div>
                
                <div class="aside-item">
                    <a class="styled-button" href="{{url_for('contacts.contact')}}">
                        Contact
                    </a>
                </div>
                <div class="aside-item">
                    <a class="styled-button" href="{{url_for('messages.sent_messages', recipient_no='all')}}">
                        Sent
                    </a>
                </div>
        </aside>
        {%block main%}
        
        {%endblock main%}
    </section>
{%endblock content%}

project/templates/base.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href='{{url_for("static", filename="styles.css")}}'>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    {%if title%}
    <title>{{title}}</title>
    {%else%}
    <title>160by2</title>
    {%endif%}
</head>
<body>
  <div class="col-container-160by2 bg">
      <div class="alert alert-{{category}}">
        <p>{{ message }}</p>
      </div>
    {{moment.include_jquery()}}
    {{moment.include_moment()}}
        {% with messages = get_flashed_messages(with_categories=true) %}
        {% if messages %}
          {% for category, message in messages %}
            <div class="alert alert-{{category}}">
              <p>{{ message }}</p>
            </div>
          {% endfor %}
        {% endif %}
      {% endwith %}
      <header class="header-container">
        <div class="logo-div">
            <a href="{{url_for('users.login')}}" class="logo-link">
                <img src="{{url_for('static', filename='logo.png')}}" alt="" class="responsive-img">
            </a>
        </div>

          <nav class="navbar navbar-expand-lg navbar-light transparent-nav" id="navbarNavDropdown">
                  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                          <span class="navbar-toggler-icon"></span>
                        </button>
              <div class="collapse navbar-collapse" id="navbarSupportedContent">
                  <ul class="navbar-nav">
                    {%if not current_user.is_authenticated %}
                      <li class="nav-item active"><a href="{{url_for('users.login')}}" class="nav-link" style="font-size: 1.4rem; padding-left: 1vw;padding-right: 1vw">Free sms<span class="sr-only">(current)</span></a></li>
                      
                      <li class="nav-item">
                          <a class="nav-link" style='font-size: 1.4rem; padding-left: 1vw;padding-right: 1vw' href="{{url_for('users.signup')}}">Sign Up</a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" style='font-size: 1.4rem; padding-left: 1vw;padding-right: 1vw' href="{{url_for('users.forgot_password')}}">Forgot password?</a>
                      </li>
                    {%else%}
                    <li class="nav-item">
                        <p class="nav-link" style='font-size: 1.4rem; padding-left: 1vw;padding-right: 1vw'>
                            Logged in as: {{current_user.username}}
                        </p>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" style='font-size: 1.4rem; padding-left: 1vw;padding-right: 1vw' href="{{url_for('users.logout')}}">Logout</a>
                    </li>
                    {%endif%}
                      <li class="nav-item dropdown">
                          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style='font-size: 1.4rem; padding-left: 1vw;padding-right: 1vw'>
                              Contact Us
                          </a>
                          <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                          <a class="dropdown-item" href="mailto:support@way2sms.com">support@way2sms.com</a>
                          <a class="dropdown-item" href="#">+91 8978 055 155</a>
                          </div>
                      </li>
                  </ul>
              </div>
          </nav>
        </header>
    {%block content%}{%endblock%}
  </div>
    
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>
</html>

project/templates/contact.html
{%extends "account.html"%}
{%block main%}

<div class="registration-form contact-form">
    <form action="" class="form-group" method="POST" novalidate>
        {{ form.hidden_tag() }} 
        <div class="form-field">
            {{form.contact_name(class="form-field form-control form-control-lg", placeholder="Contact Name")}}
            {%for error in form.contact_name.errors%}
                <div class="error-feedback"><span>{{error}}</span></div>
            {%endfor%}
        </div>
        <div class="form-field">
            {{form.contact_no(class="form-field form-control form-control-lg", placeholder="Contact Number")}}
            {%for error in form.contact_no.errors%}
                <div class="error-feedback"><span>{{error}}</span></div>
            {%endfor%}
        </div class="form-field">
        <div>
            {{form.gender(class="gender")}}
            {%for error in form.gender.errors%}
                <div class="error-feedback"><span>{{error}}</span></div>
            {%endfor%}
        </div>
        {%if title != 'delete_contact'%}
        {{form.add_contact(class="styled-button site-theme-color", formaction=url_for('contacts.contact'))}}
        {%endif%}
        {%if title != 'add_contact'%}
        {{form.delete_contact(class="styled-button site-theme-color", formaction=url_for('contacts.delete_contact'))}}
        {%endif%}
 
    </form>
</div>
<aside class="contacts-aside">
    <h2>Contacts</h2>
    <ul class="contacts-list">
    {%for contact in contacts%}
        <li class="contact-item"><a class="styled-button" href="{{url_for('contacts.delete_selected', contact_no=contact.contact_no)}}">{{contact.contact_name}} : {{contact.contact_no}}</a></li>
    {%endfor%}
    </ul>
</aside>
{%endblock main%}

project/templates/forgot_password.html
{% extends "base.html" %}
{% block content %}
<div class="registration-form-container">
        <div class="registration-form">
            <form action="" class="class='form-group'" method="POST" novalidate>
                {{ form.hidden_tag() }} 
                <div class="form-field">
                    {{form.mobile_no(class="form-field form-control form-control-lg", placeholder="Mobile Number")}}
                    {%for error in form.mobile_no.errors%}
                        <div class="error-feedback"><span>{{error}}</span></div>
                    {%endfor%}
                </div>
                {{form.submit(class="styled-button site-theme-color")}}
                
            </form>
        </div>
    </div>
{% endblock content %}

project/templates/login.html
{%extends "base.html"%}
{%block content%}
    
        <main class="row-container-160by2 main-container">
            <section class="intro">
                    <div>
                        <p>The all new texting Now use</p>
                            
                        </p>160by2 for business needs</p>
                    </div>
                    <form action="{{url_for('users.signup')}}" method="GET">
                        <button type="submit" class="styled-button site-theme-color">Sign Up</button>
                    </form>
            </section>
            <section class="login-container">
                <div class="login-form">
                    <div class="padding-2">
                            <h1 class="login-text"><b>Log In</b></h1>
                            <p class="login-text">Problems while logging? <a class="site-theme-color" href="{{url_for('users.forgot_password')}}">click here</a></p>
                    </div>
                    <div>
                        <form action="" class='form-group' method="POST" class="col-container" novalidate>
                            {{ form.hidden_tag() }} 
                            <div>
                                <div class="form-field">
                                    {{form.mobile_no(placeholder="Mobile No", class="form-field form-control form-control-lg")}}
                                        {%for error in form.mobile_no.errors%}
                                            <div class="error-feedback"><span>{{error}}</span></div>
                                        {%endfor%}
                                </div>
                                <div class="form-field">
                                    {{form.password(placeholder="Password", class="form-field form-control form-control-lg")}}
                                        {%for error in form.password.errors%}
                                            <div class="error-feedback"><span>{{error}}</span></div>
                                        {%endfor%}
                                </div>
                            </div>
                            <div class="padding-2">
                                {{form.login(class_="styled-button site-theme-color")}}
                            </div>
                        </form>
                    </div>
                </section>
            </div>
        </main>
        <!-- <div class="header-div nav-div">
            <nav class="navbar navbar-expand-lg navbar-light bg-light">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    
                    <li class="nav-item active"><a href="#" class="nav-link">Business</a></li>
                    <li class="nav-item active"><a href="#" class="nav-link">Promote</a></li>
                    <li class="nav-item active"><a href="#" class="nav-link">Voice sms</a></li>
                    <li class="nav-item active"><a href="#" class="nav-link">Pricing</a></li>
                    <li class="nav-item active contact-us">
                        <div><a href="" class="nav-link">xyz@162by2.com</a></div>
                        <div> <a href="" class="nav-link">123456789</a>
                        </div>
                    </li>
                </ul>
            </div>
            </nav>
        </div> -->
    
    <!-- <main class="row-container-160by2">
        <div class="col-10"></div>
        <section class="col-50 intro">
                <div>
                    <p>The all new texting Now use</p>
                        
                    </p>160by2 for business needs</p>
                </div>
                <form action="{{url_for('users.signup')}}" method="GET">
                    <button type="submit" class="styled-button site-theme-color">Sign Up</button>
                </form>
        </section>
        <section class="col-50">
            <div class="bg-white col-container login-form col-container-spacearound">
                <div class="padding-2">
                     <p class="site-theme-color">Log In</p>
                     <p>Problems while logging? <a class="site-theme-color" href="">click here</a></p>
                </div>
                <form action="" method="POST" class="col-container" novalidate>
                    {{ form.hidden_tag() }} 
                    <div class="padding-2">
                        {{form.mobile_no(placeholder="Mobile No", class="form-field")}}
                        {%for error in form.mobile_no.errors%}
                            <span style="color:red;">[{{error}}]</span>
                        {%endfor%}
                        {{form.password(placeholder="Password", class="form-field")}}
                        {%for error in form.password.errors%}
                            <span style="color:red;">[{{error}}]</span>
                        {%endfor%}
                    </div>
                    <div class="padding-2">
                        <a  class="site-theme-color padding-1">Forgot password? </a>
                        {{form.login(class_="styled-button site-theme-color")}}
                    </div>
                </form>
            </div>
        </section>
    </main> -->
{%endblock content%}

project/templates/message.html
{%extends "account.html"%}
{%block main%}

<div class="registration-form message-form">
    <form action="{{url_for('messages.message')}}" class='form-group' method="POST" novalidate>
        {{ form.hidden_tag() }} 
        <div class="form-field">
            {{form.recipient_no(class="form-field form-control form-control-lg", placeholder="Recipient Number")}}
            {%for error in form.recipient_no.errors%}
                <div class="error-feedback"><span>{{error}}</span></div>
            {%endfor%}
        </div>
        <div class="form-field">
            {{form.message(class="form-field form-control form-control-lg", placeholder="")}}
            {%for error in form.message.errors%}
                <div class="error-feedback"><span>{{error}}</span></div>
            {%endfor%}
        </div>

        {{form.send(class="styled-button site-theme-color")}}
        
    </form>
</div>
<aside class="contacts-aside">
    <h2>Contacts:</h2>
    <ul class="contacts-list">
    {%for contact in contacts%}
        <li class="contact-item"><a class="styled-button" href="{{url_for('messages.message_to', contact_no=contact.contact_no)}}">{{contact.contact_name}} : {{contact.contact_no}}</a></li>
    {%endfor%}
    </ul>
</aside>
{%endblock main%}

project/templates/reset_token.html
{%extends "base.html"%}
{%block content%}
<div class="registration-form-container">
    <div class="registration-form">
        <form action="" class='form-group' method="POST" novalidate>
            {{ form.hidden_tag() }} 
            <div class="form-field">
                {{form.password(class="form-field form-control form-control-lg", placeholder="New Password")}}
                {%for error in form.password.errors%}
                    <div class="error-feedback"><span>{{error}}</span></div>
                {%endfor%}
            </div>
            <div class="form-field">
                {{form.confirm_password(class="form-field form-control form-control-lg", placeholder="Confirm Password")}}
                {%for error in form.confirm_password.errors%}
                    <div class="error-feedback"><span>{{error}}</span></div>
                {%endfor%}
            </div>
            {{form.submit(class="styled-button site-theme-color")}}
            
        </form>
    </div>
</div>
{%endblock%}

project/templates/sent.html
{%extends "account.html"%}
{%block main%}
<section class="registration-form sent-messages">
    <ul class="sent-message-container">
        {%for sent_message in sent_messages%}
        <li class="sent-message">
            <span>
                <b>{{sent_message.recipient.contact_name}}:</b>
            </span>
            <span>
                {{sent_message.message_body}}
            </span>
            <div>
                <span class="message-time">{{moment(sent_message.timestamp).fromNow()}}</span>
            </div>
        </li>
        {%endfor%}
    </ul>
    <div class="pagination">
        <div class="scroll-button">
            {%if prev_url %}
            <a class="styled-button" href="{{prev_url}}">Prev</a>
            {%endif%}
        </div>
        <div class="scroll-button">
            {% if next_url %}
            <a class="styled-button" href="{{next_url}}">next</a>
            {%endif%}
        </div>
    </div>
</section>
<aside class="contacts-aside">
    <h1>Contacts</h1>
    <ul class="contacts-list">
    {%for contact in contacts%}
        <li class="contact-item"><a class="styled-button" href="{{url_for('messages.sent_messages', recipient_no=contact.contact_no)}}">{{contact.contact_name}} : {{contact.contact_no}}</a></li>
    {%endfor%}
    </ul>
</aside>              
{%endblock main%}

project/templates/signup.html
{%extends "base.html"%}
{%block content%}
<div class="registration-form-container">
    <div class="registration-form">
        <form action="" class='form-group' method="POST" novalidate>
            {{ form.hidden_tag() }} 
            <div class="form-field">
                {{form.username(class="form-field form-control form-control-lg", placeholder="User Name")}}
                {%for error in form.username.errors%}
                    <div class="error-feedback"><span>{{error}}</span></div>
                {%endfor%}
            </div>
            <div class="form-field">
                {{form.mobile_no(class="form-field form-control form-control-lg", placeholder="Mobile Number")}}
                {%for error in form.mobile_no.errors%}
                    <div class="error-feedback"><span>{{error}}</span></div>
                {%endfor%}
            </div>
            <div class="form-field">
                {{form.email_id(class="form-field form-control form-control-lg", placeholder="Email Id")}}
                {%for error in form.email_id.errors%}
                    <div class="error-feedback"><span>{{error}}</span></div>
                {%endfor%}
            </div>
            <div class="form-field">
                {{form.gender(class="clear-default-styles gender")}}
            </div>
            <div class="form-field">
                    {{form.password(class="form-field form-control form-control-lg", placeholder="Password")}}
                    {%for error in form.password.errors%}
                        <span style="color:red;">{{error}}</span>
                    {%endfor%}
            </div>
            <div class="form-field">
                {{form.confirm_password(class="form-field form-control form-control-lg", placeholder="Confirm Password")}}
                {%for error in form.confirm_password.errors%}
                    <div class="error-feedback"><span>{{error}}</span></div>
                {%endfor%}    
            </div>
            {{form.sign_up(class="styled-button site-theme-color")}}
            
        </form>
        <div class="padding-2">
            <p class="login-text">Aleardy have an account? <a class="site-theme-color" href="{{url_for('users.login')}}">click here</a></p>
        </div>
    </div>
</div>
{%endblock%}